---
- name: Launch single MariaDB full backup
  hosts: "{{ target_hosts }}"
  vars:
    target_hosts: localhost
  gather_facts: true
  pre_tasks:
    - name: Check k8s_kubeconfig
      ansible.builtin.debug:
        var: k8s_kubeconfig
  roles:
    - role: mariadb.singlebackup
  environment:
    KUBECONFIG: "{{ k8s_kubeconfig | default(lookup('ansible.builtin.env', 'KUBECONFIG', default='/etc/kubernetes/admin.conf')) }}"
  tags:
    - mariadb_singlebackup
